cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mshu...@apache.org
Subject cassandra-builds git commit: Add dtest variations to build script
Date Tue, 13 Dec 2016 17:18:15 GMT
Repository: cassandra-builds
Updated Branches:
  refs/heads/master 344b6d227 -> dac4ddfb9


Add dtest variations to build script


Project: http://git-wip-us.apache.org/repos/asf/cassandra-builds/repo
Commit: http://git-wip-us.apache.org/repos/asf/cassandra-builds/commit/dac4ddfb
Tree: http://git-wip-us.apache.org/repos/asf/cassandra-builds/tree/dac4ddfb
Diff: http://git-wip-us.apache.org/repos/asf/cassandra-builds/diff/dac4ddfb

Branch: refs/heads/master
Commit: dac4ddfb9e065b014ab19d637b0ae0489e64df72
Parents: 344b6d2
Author: Michael Shuler <michael@pbandjelly.org>
Authored: Tue Dec 13 11:18:10 2016 -0600
Committer: Michael Shuler <michael@pbandjelly.org>
Committed: Tue Dec 13 11:18:10 2016 -0600

----------------------------------------------------------------------
 build-scripts/cassandra-dtest.sh | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cassandra-builds/blob/dac4ddfb/build-scripts/cassandra-dtest.sh
----------------------------------------------------------------------
diff --git a/build-scripts/cassandra-dtest.sh b/build-scripts/cassandra-dtest.sh
index 9a65e9b..d1bdd4b 100755
--- a/build-scripts/cassandra-dtest.sh
+++ b/build-scripts/cassandra-dtest.sh
@@ -6,6 +6,9 @@
 #
 ################################
 
+# Pass in target to run, default to base dtest
+DTEST_TARGET="${1:-dtest}"
+
 export PYTHONIOENCODING="utf-8"
 export PYTHONUNBUFFERED=true
 export CASS_DRIVER_NO_EXTENSIONS=true
@@ -23,6 +26,11 @@ for x in $(seq 1 3); do
         break
     fi
 done
+# Exit, if we didn't build successfully
+if [ "${RETURN}" -ne "0" ]; then
+    echo "Build failed with exit code: ${RETURN}"
+    exit ${RETURN}
+fi
 
 # Set up venv with dtest dependencies
 set -e # enable immediate exit if venv setup fails
@@ -38,9 +46,22 @@ pip freeze
 ################################
 
 cd cassandra-dtest/
-rm -r upgrade_tests/ # TEMP: remove upgrade_tests
+rm -r upgrade_tests/ # TEMP: remove upgrade_tests - we have no dual JDK installation
 set +e # disable immediate exit from this point
-./run_dtests.py --vnodes true --nose-options="--verbosity=3 --with-xunit --nocapture --attr=!resource-intensive"
| tee -a ${WORKSPACE}/test_stdout.txt
+if [ "${DTEST_TARGET}" = "dtest" ]; then
+    ./run_dtests.py --vnodes true --nose-options="--verbosity=3 --with-xunit --nocapture
--attr=!resource-intensive" | tee -a ${WORKSPACE}/test_stdout.txt
+elif [ "${DTEST_TARGET}" = "dtest-novnode" ]; then
+    export DISABLE_VNODES="true"
+    ./run_dtests.py --vnodes true --nose-options="--verbosity=3 --with-xunit --nocapture
--attr=!resource-intensive" | tee -a ${WORKSPACE}/test_stdout.txt
+elif [ "${DTEST_TARGET}" = "dtest-offheap" ]; then
+    export OFFHEAP_MEMTABLES="true"
+    ./run_dtests.py --vnodes true --nose-options="--verbosity=3 --with-xunit --nocapture
--attr=!resource-intensive" | tee -a ${WORKSPACE}/test_stdout.txt
+elif [ "${DTEST_TARGET}" = "dtest-large" ]; then
+    ./run_dtests.py --vnodes true --nose-options="--verbosity=3 --with-xunit --nocapture
--attr=resource-intensive" | tee -a ${WORKSPACE}/test_stdout.txt
+else
+    echo "Unknown dtest target: ${DTEST_TARGET}"
+    exit 1
+fi
 
 ################################
 #


Mime
View raw message